AWS
action EMR

# modify_instance_fleet

Modify the on-demand and spot capacities for an instance fleet

Run it now
View details

Type | action
Module | chaosaws.emr.actions
Name | modify_instance_fleet
Return | mapping

Usage

JSON

    {
      "name": "modify-instance-fleet",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.emr.actions",
        "func": "modify_instance_fleet",
        "arguments": {
          "cluster_id": "",
          "fleet_id": ""
        }
      }
    }

YAML

    name: modify-instance-fleet
    provider:
      arguments:
        cluster_id: ""
        fleet_id: ""
      func: modify_instance_fleet
      module: chaosaws.emr.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
cluster_id | string |  | Yes | Cluster ID |
fleet_id | string |  | Yes | Fleet ID |
on_demand_capacity | integer | null | No | On-Demand capacity |
spot_capacity | integer | null | No | Shot Capacity |

- cluster_id: The cluster id
- fleet_id: The instance fleet id
- on_demand_capacity: Target capacity of on-demand units
- spot_capacity: Target capacity of spot units

Signature

    def modify_instance_fleet(
            cluster_id: str,
            fleet_id: str,
            on_demand_capacity: int = None,
            spot_capacity: int = None,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  probe EMR

  ## `list_cluster_fleet_instances`

  Get a list of instance fleet instances associated with the EMR cluster
- AWS
  probe EMR

  ## `describe_instance_group`

  Describe a single EMR instance group
- AWS
  action EMR

  ## `modify_cluster`

  Set the step concurrency level on the provided cluster